## ros-rolling-rmf-building-sim-gz-plugins 2.2.1

=== debian/changelog ===
ros-rolling-rmf-building-sim-gz-plugins (2.2.1-1jammy) jammy; urgency=high

  * Use ``JointPositionReset`` for open loop door control (#98 <https://github.com/open-rmf/rmf_simulation/pull/98>)
  * Contributors: Luca Della Vedova

 -- Luca Della Vedova <luca@openrobotics.org>  Thu, 29 Jun 2023 16:00:00 -0000

ros-rolling-rmf-building-sim-gz-plugins (2.2.0-1jammy) jammy; urgency=high



 -- Luca Della Vedova <luca@openrobotics.org>  Wed, 07 Jun 2023 16:00:00 -0000

ros-rolling-rmf-building-sim-gz-plugins (2.1.0-1jammy) jammy; urgency=high

  * Switch to rst changelogs (#101 <https://github.com/open-rmf/rmf_simulation/pull/101>)
  * Contributors: Yadunund

 -- Luca Della Vedova <luca@openrobotics.org>  Mon, 05 Jun 2023 16:00:00 -0000

ros-rolling-rmf-building-sim-gz-plugins (2.0.0-1jammy) jammy; urgency=high

  * Use ECM instead of traversing sdformat parent for Gazebo doors (#80 <https://github.com/open-rmf/rmf_simulation/pull/80>)
  * Fix potential segfault in toggle_floors plugin (#79 <https://github.com/open-rmf/rmf_simulation/pull/79>)
  * Fix a segfault in toggle floor plugin which causes ignition to crash when scene is not ready (#78 <https://github.com/open-rmf/rmf_simulation/pull/78>)
  * Renamed to rmf_building_sim_gz_plugins and Humble migration (#77 <https://github.com/open-rmf/rmf_simulation/pull/77>)
  * Add an Ignition GUI plugin to toggle floors visibility (#72 <https://github.com/open-rmf/rmf_simulation/pull/72>)
  * Contributors: Arjo Chakravarty, Luca Della Vedova, Yadunund, chianfern

 -- Luca Della Vedova <luca@openrobotics.org>  Sat, 09 Apr 2022 16:00:00 -0000

ros-rolling-rmf-building-sim-gz-plugins (1.3.0-1jammy) jammy; urgency=high

  * Added rosdep key for ignition-edifice, made it a mandatory dependency (#31 <https://github.com/open-rmf/rmf_simulation/pull/31>)
  * Skip updating ignition plugins when simulation is paused (#34 <https://github.com/open-rmf/rmf_simulation/pull/34>)
  * updating for galactic and rolling compatibility (#29 <https://github.com/open-rmf/rmf_simulation/pull/29>)
  * Fix dependencies (#26 <https://github.com/open-rmf/rmf_simulation/pull/26>)
  * Make menge mandatory and fix building_sim dependencies (#19 <https://github.com/open-rmf/rmf_simulation/pull/19>)
  * Add quality declaration documents (#1 <https://github.com/open-rmf/rmf_simulation/pull/1>)
  * Crowd step size fix for large physics step sizes (#10 <https://github.com/open-rmf/rmf_simulation/pull/10>)
  * Update to Ignition Edifice (#8 <https://github.com/open-rmf/rmf_simulation/pull/8>)
  * Slotcar plugin package move and utils cleanup (#5 <https://github.com/open-rmf/rmf_simulation/pull/5>)
  * account for renaming from building_map_msgs to rmf_building_map_msgs (#3 <https://github.com/open-rmf/rmf_simulation/pull/3>)
  * Contributors: Charayaphan Nakorn Boon Han, Geoffrey Biggs, Luca Della Vedova, Marco A. Gutiérrez

 -- Luca Della Vedova <luca@openrobotics.org>  Tue, 31 Aug 2021 16:00:00 -0000

ros-rolling-rmf-building-sim-gz-plugins (1.2.0-1jammy) jammy; urgency=high

  * Remove Slotcar/Lift AABB component when not required to speed up demos (#271 <https://github.com/osrf/traffic_editor/pull/271>)
  * Migrate ignition plugins to ament_target_dependencies (#262 <https://github.com/osrf/traffic_editor/pull/262>)
  * Enable lifts to work with TPE, modifies lift plugin to issue either joint or model velocity commands based on the physics engine used (#250 <https://github.com/osrf/traffic_editor/pull/250>)
  * Control slotcar with model velocity cmds in place of joint velocity cmds (#236 <https://github.com/osrf/traffic_editor/pull/236>)
  * Implement battery drain and recharge for slotcars (#242 <https://github.com/osrf/traffic_editor/pull/242>)
  * Add first pass of quality declarations for all packages (#235 <https://github.com/osrf/traffic_editor/pull/235>)
  * Building_crowdsim for generating the navmesh file and required configuration files for menge (#224 <https://github.com/osrf/traffic_editor/pull/224>)
  * Add animation switch to crowd simulation plugin (#238 <https://github.com/osrf/traffic_editor/pull/238>)
  * Contributors: Geoffrey Biggs, Guoliang (Fred) Shao, Luca Della Vedova, Marco A. Gutierrez, Marco A. Gutiérrez, Rushyendra Maganty

 -- Luca Della Vedova <luca@openrobotics.org>  Tue, 05 Jan 2021 16:00:00 -0000

ros-rolling-rmf-building-sim-gz-plugins (1.0.0-1jammy) jammy; urgency=high

  * Focal / Ignition dome dependencies update (#230 <https://github.com/osrf/traffic_editor/pull/230>)
  * Ignition crowd simulation plugin (#218 <https://github.com/osrf/traffic_editor/pull/218>)
  * Create AxisAlignedBox component for slotcar (#227 <https://github.com/osrf/traffic_editor/pull/227>)
  * Ignition plugins and modularization of doors and slotcar (#138 <https://github.com/osrf/traffic_editor/pull/13>)
  * Adding lift plugin for ignition (#171 <https://github.com/osrf/traffic_editor/pull/17>)
  * Contributors: Guoliang (Fred) Shao, Luca Della Vedova, Rushyendra Maganty, kevinskwk

 -- Luca Della Vedova <luca@openrobotics.org>  Wed, 23 Sep 2020 16:00:00 -0000
